from django.urls import path
from . import views

urlpatterns = [
    path('', views.home, name='home'),
    path('admin-loto/', views.admin_login, name='admin_login'),
    path('admin-loto/logout/', views.admin_logout, name='admin_logout'),
    path('admin-loto/dashboard/', views.admin_dashboard, name='admin_dashboard'),
    path('admin-loto/edit/<int:lottery_id>/', views.edit_lottery, name='edit_lottery'),
    path('admin-loto/ai-predict/<int:lottery_id>/', views.ai_auto_predict, name='ai_predict'),
    path('live-math/', views.live_math, name='live_math'),
    path('gerador-sequencial/', views.sequential_generator, name='sequential_generator'),
    path('api/lottery-info/<str:lottery_key>/', views.lottery_info_api, name='lottery_info_api'),
    path('resultados/', views.lottery_results, name='lottery_results'),
    path('resultados/download/<int:lottery_id>/', views.download_funnel, name='download_funnel'),
    path('supercomputador/relatorio/', views.full_report, name='full_report'),
    path('gerador-sequencial/acertos/', views.hits_report, name='hits_report'),
]
